/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.wikistream.xar.internal;

/**
 * 
 * @version $Id: a97e6e7b87115c1bc859ddb2e65acc2ef94073a4 $
 * @since 5.2M2
 */
public class XARClassModel
{
    public static final String ELEMENT_CLASS = "class";

    public static final String ELEMENT_NAME = "name";

    public static final String ELEMENT_CUSTOMCLASS = "customClass";

    public static final String ELEMENT_CUSTOMMAPPING = "customMapping";

    public static final String ELEMENT_DEFAULTVIEWSHEET = "defaultViewSheet";

    public static final String ELEMENT_DEFAULTEDITSHEET = "defaultEditSheet";

    public static final String ELEMENT_DEFAULTWEB = "defaultWeb";

    public static final String ELEMENT_NAMEFIELD = "nameField";

    public static final String ELEMENT_VALIDATIONSCRIPT = "validationScript";
}
